Subject: bug#35591: Segfault on flatpak remote-add

From: Ben Sturmfels <[email-masked]>
Date: Thu, 31 Oct 2019 21:50:18 +1100

On Sun, 05 May 2019, Jonathan Frederickson wrote:

> I'm attempting to use Flatpak on my Guix system, and I'm experiencing
> segfaults when attempting to add a remote repo. Provided below are the
> output of the command I'm attempting to run, as well as some info
> about my system.

I learnt on #guix IRC that flatpak works when run with the --user flag:

$ flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
$ flatpak install flathub org.gnome.Builder
$ flatpak run org.gnome.Builder

The segfaulting behaviour is still a bug in my opinion, because it's
extremely user un-friendly, and the requirement for --user is not
obvious.

Regards,
Ben